# IMFSliderPart Struct Reference
[MCFrame]

Inheritance diagram for IMFSliderPart:

List of all members.

## Public Member Functions
virtual void MCCOMAPI | SetTitle (const TMCString &inTitle)=0
| Sets the slider title.
virtual void MCCOMAPI | SetMinMax (real32 min, real32 max, boolean resetValues=true)=0
virtual real32 MCCOMAPI | GetSnap ()=0
virtual void MCCOMAPI | SetSnap (real32 snap)=0
virtual int32 MCCOMAPI | GetNbThumbs ()=0
virtual void MCCOMAPI | AddThumb (int32 index, real32 value)=0
virtual void MCCOMAPI | RemoveThumb (int32 index)=0
virtual IMFPart *MCCOMAPI | GetThisPart ()=0

## Detailed Description

Interface for a slider part. Sliders present a handle ("thumb") on a slider that the user can move one way or the other to select a value. Sliders can have multiple thumbs, each with a value. To access the values of each slider, use the GetValue() function. If the slider has one thumb, call it with a kReal32ParamType. If the slider has two, call it with a kVector2ParamType, and if it has three thumbs, use a kVector3ParamType. For more than three thumbs, things are not so simple. Please contact us for details should you need sliders with more than three thumbs.

See also:
  IMFPart::GetValue()

## Member Function Documentation

virtual void MCCOMAPI IMFSliderPart::AddThumb | ( | int32 | index,
|  | real32 | value |
| ) |  |  | `[pure virtual]`

virtual int32 MCCOMAPI IMFSliderPart::GetNbThumbs | ( |  | ) | `[pure virtual]`

virtual real32 MCCOMAPI IMFSliderPart::GetSnap | ( |  | ) | `[pure virtual]`

virtual IMFPart* MCCOMAPI IMFSliderPart::GetThisPart | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI IMFSliderPart::RemoveThumb | ( | int32 | index | ) | `[pure virtual]`

virtual void MCCOMAPI IMFSliderPart::SetMinMax | ( | real32 | min,
|  | real32 | max,
|  | boolean | resetValues = `true` |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI IMFSliderPart::SetSnap | ( | real32 | snap | ) | `[pure virtual]`

virtual void MCCOMAPI IMFSliderPart::SetTitle | ( | const TMCString & | inTitle | ) | `[pure virtual]`

Sets the slider title.

The documentation for this struct was generated from the following file:

- IMFSliderPart.h